Add a layer to an on-call schedule.
POST
/on_call_schedule/{schedule_id}/layer/
const url = 'https://api.siteqwality.com/on_call_schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/layer/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"layer_number":1,"rotation_type":"daily","rotation_interval_days":1,"handoff_time":"example","handoff_day":1,"participants":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"effective_from":"2026-04-15T12:00:00Z","effective_until":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/on_call_schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/layer/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "layer_number": 1, "rotation_type": "daily", "rotation_interval_days": 1, "handoff_time": "example", "handoff_day": 1, "participants": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "effective_from": "2026-04-15T12:00:00Z", "effective_until": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” schedule_id
required
string format: uuid
On-call schedule identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
layer_number
integer | null format: int32
rotation_type
required
string
rotation_interval_days
integer | null format: int32
handoff_time
required
string
handoff_day
integer | null format: int32
participants
required
Array<string>
effective_from
string | null format: date-time
effective_until
string | null format: date-time
Responses
Section titled “ Responses ”Layer created
Media type application/json
object
id
required
string format: uuid
schedule_id
required
string format: uuid
layer_number
required
integer format: int32
rotation_type
required
string
rotation_interval_days
integer | null format: int32
handoff_time
required
string
handoff_day
integer | null format: int32
participants
required
Array<string>
effective_from
string | null format: date-time
effective_until
string | null format: date-time
created_at
required
string format: date-time
Example
{ "rotation_type": "daily"}Missing or invalid authentication
Internal server error